Download it now!
Bug 68076 - [FILEOPEN] RTF-filter: An incorrect change of the codepage from Russian (CP-1251) to Latin
Summary: [FILEOPEN] RTF-filter: An incorrect change of the codepage from Russian (CP-1...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.2.0 target:4.1.2 target:4.0.6
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-08-13 18:18 UTC by ape
Modified: 2013-08-23 09:14 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
codepage error (4.08 KB, image/png)
2013-08-13 18:18 UTC, ape
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ape 2013-08-13 18:18:10 UTC
Created attachment 84025 [details]
codepage error

Regression. Look at an attachment or repeated these actions.
1. Unpack the archive "vector_bug.7z" (attachment 64285 [details]). 
2. Open the file "Russian_Header-1st_page.RTF". 
3. Compare with the image "capture_002_16072012_174409.png". 
4. Codepage is changing after the dash of the 1st paragraph.
--
The latest correctly version of the program:
LibO_4.0.2.2; OS: Linux(*.deb)\Windows XP - 32\64bit
--
There is a bug in these versions:
1. WinXPsp3_RUS; WinXPsp2_64-bit
LibO_4.1.1.0.0+
ID: 75ad317118aeb4cd875127d3918e5c912f56fbc
TinderBox: Win-x86@6-debug
Time: 2013-07-29_23:16:20
2. WinXPsp3_RUS; WinXPsp2_64-bit
LibO_4.2.0.0.alpha0+
ID: 2382b8e8ec0ea65dc2a9ad1c401abe3be35a1487
TinderBox: Win-x86@6-debug
Time: 2013-08-02_23:15:16
3. Lubuntu_13.04_i386
LibO_4.1.0.4
ID: 89ea49ddacd9aa532507cbf852f2bb22b1ace28
4. Windows_XP: NT-5.1sp3_RUS; NT-5.2sp2_MUI-RU
LibO_4.0.6.0.+
ID:5eea2a12e6a1048df66a9f607ca4d7087c8fb0c1
TunderBox: Win-x86@6-debug;
Time 2013-08-12 19:51:38; 
5. Lubuntu_13.04_i386
LibO_4.0.3.0+
ID: 9296cf4088a0637f0326803fe220816ebc8daf2
TinderBox: Linux-x86@34-Release-Configuration-RHEL5-Baseline
Time: 2013-03-22_21:34:40
--
Therefore, need to look for fixes, made from the 19th to the 22nd March.
Comment 1 Miklos Vajna 2013-08-22 08:45:19 UTC
Indeed, this is a regression from http://cgit.freedesktop.org/libreoffice/core/commit/?id=60c17b2873506ed8b068b34840aecda0c1d9bd65
Comment 2 Commit Notification 2013-08-22 09:47:25 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1e5e271f9aadc2c5e5af3ffae410b6c598e5398

fdo#68076 RTF import: default font had priority over the specified one



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Miklos Vajna 2013-08-22 10:22:27 UTC
-4-1 review: https://gerrit.libreoffice.org/5579
Comment 4 Commit Notification 2013-08-22 11:57:04 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8a3e787e9c48d8e7af80800456919726ed8dd4b&h=libreoffice-4-1

fdo#68076 RTF import: default font had priority over the specified one


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 ape 2013-08-22 14:37:29 UTC
Miklos, thanks!
This bug was born LibreOffice_4.0.3.0.+ therefore what do You think LibreOffice_4.0.6.0.+ about?
Comment 6 Miklos Vajna 2013-08-23 06:49:58 UTC
Fear not, -4-0 review is already in progress :-)

https://gerrit.libreoffice.org/5581
Comment 7 Commit Notification 2013-08-23 09:14:25 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=531f3f93146615dd7c77da1d9e5917982bd1f2fe&h=libreoffice-4-0

fdo#68076 RTF import: default font had priority over the specified one


It will be available in LibreOffice 4.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.